Skip to main content
GET
/
v1
/
admin
/
platforms
/
{platform_id}
Get platform details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.keystoneos.xyz/v1/admin/platforms/{platform_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auth0_org_id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "status": "<string>",
  "logo_url": "<string>",
  "support_email": "<string>",
  "support_url": "<string>",
  "onboarding_completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "environment_count": 0
}

Authorizations

Authorization
string
header
required

Auth0 JWT access token. See Authentication for details.

Path Parameters

platform_id
string<uuid>
required

Response

Successful Response

Platform as seen by an admin, including environment count.

id
string<uuid>
required
auth0_org_id
string | null
required
name
string
required
slug
string
required
status
string
required
logo_url
string | null
required
support_email
string | null
required
support_url
string | null
required
onboarding_completed_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
environment_count
integer
default:0